Skip to main content
GET
/
api
/
v1
/
smart-mode
/
subscriptions
List Subscriptions
curl --request GET \
  --url https://api.example.com/api/v1/smart-mode/subscriptions
{
  "id": 123,
  "address": "<string>",
  "label": "<string>",
  "status": "<string>",
  "bw_guarantee": true,
  "created_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt

Use this file to discover all available pages before exploring further.

List Subscriptions

Returns all active and paused Smart Mode subscriptions. Deactivated subscriptions are not included.

Response

Array of subscription objects:
id
number
Subscription ID
address
string
Monitored TRON address
label
string
Optional label
status
string
active or paused
bw_guarantee
boolean
Whether BW Guarantee is enabled
created_at
string
ISO 8601 timestamp

Example

curl https://api.tronrental.com/v1/smart-mode/subscriptions \
  -H "X-API-Key: your_api_key"
Response
[
  {
    "id": 42,
    "address": "TYourAddress...",
    "label": "Main wallet",
    "status": "active",
    "bw_guarantee": true,
    "created_at": "2026-03-05T12:00:00Z"
  },
  {
    "id": 43,
    "address": "TAnotherAddress...",
    "label": null,
    "status": "paused",
    "bw_guarantee": false,
    "created_at": "2026-03-04T10:00:00Z"
  }
]